API for creating and managing code imports

Bug #366102 reported by Jonathan Lange on 2009-04-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Medium
James Westby

Bug Description

It should be possible to create and edit code imports via the Launchpad API. This is particularly important for package branches.

Related branches

Jonathan Lange (jml) on 2009-04-24
Changed in launchpad-bazaar:
importance: Undecided → High
status: New → Triaged
Jonathan Lange (jml) on 2009-08-03
Changed in launchpad-code:
importance: High → Medium
James Westby (james-w) wrote :

Hi,

We are going to want to use this soon to import Debian packaging
branches on a large scale. Doing it by hand is not an option, so an
API would be preferred to scraping.

Thanks,

James

Michael Hudson-Doyle (mwhudson) wrote :

My current understanding is that there are technical problems blocking this, something to do with having a resource (a code import) that is subordinate to another resource (a branch) rather than a collection.

But I'm not really sure about this.

Martin Pool (mbp) on 2010-01-05
tags: added: udd
Changed in launchpad-code:
assignee: nobody → James Westby (james-w)
milestone: none → 10.03
status: Triaged → Fix Committed
tags: added: qa-needstesting
James Westby (james-w) wrote :

Hi,

The wadl served is wrong, saying there is a "branch" attribute of code_import, when it
should be "branch_link". The representation served is correct, but because the wadl
is wrong you can't use that attribute.

Thanks,

James

tags: added: qa-bad
removed: qa-needstesting

On 24/03/10 04:07, James Westby wrote:
> Hi,
>
> The wadl served is wrong, saying there is a "branch" attribute of code_import, when it
> should be "branch_link". The representation served is correct, but because the wadl
> is wrong you can't use that attribute.

I *think* branch should be a ReferenceChoice rather than a Choice?

Cheers,
mwh

James Westby (james-w) wrote :

On Tue, 23 Mar 2010 20:11:02 -0000, Michael Hudson <email address hidden> wrote:
> On 24/03/10 04:07, James Westby wrote:
> > Hi,
> >
> > The wadl served is wrong, saying there is a "branch" attribute of code_import, when it
> > should be "branch_link". The representation served is correct, but because the wadl
> > is wrong you can't use that attribute.
>
> I *think* branch should be a ReferenceChoice rather than a Choice?

That's what I think too. I'm struggling with getting a test case
though. I'm also looking at a fix in lazr.restful that would make the
existing test case sufficient, but I'm getting local failures in devel.

Thanks,

James

James Westby (james-w) wrote :

A followup branch fixes this issue, so this bug passes QA.

Thanks,

James

tags: added: qa-ok
removed: qa-bad

Fixed released in launchpad-project 10.03.

Changed in launchpad-code:
status: Fix Committed → Fix Released
Changed in launchpad-code:
milestone: 10.03 → 10.04
tags: added: qa-needstesting
removed: qa-ok
James Westby (james-w) on 2010-04-20
tags: added: qa-ok
removed: qa-needstesting
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions